net.ME1312.SubServers.Bungee.Library.Version

## Class Version

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Version.Version

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Version>

    public class Version
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Comparable<Version>

Version Class

Author:
  ME1312
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Version(java.lang.Integer... ints)` Creates a Version
`Version(java.lang.String string)` Creates a Version

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `compare(Version ver1, Version ver2)` Compare Versions
`int` `compareTo(Version version)` Compare Versions
`boolean` `equals(Version version)` See if Versions are Equal
`static boolean` `isEqual(Version ver1, Version ver2)` See if Versions are Equal
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Version

    public Version(java.lang.String string)

Creates a Version

Parameters:
  `string` - Version String

#### Version

    public Version(java.lang.Integer... ints)

Creates a Version

Parameters:
  `ints` - Version Numbers (Will be separated with dots)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(Version version)

See if Versions are Equal

Parameters:
  `version` - Version to Compare
Returns:

#### compareTo

    public int compareTo(Version version)

Compare Versions

Specified by:
  `compareTo` in interface `java.lang.Comparable<Version>`
Parameters:
  `version` - The version to compare to

#### isEqual

    public static boolean isEqual(Version ver1,
                                  Version ver2)

See if Versions are Equal

Parameters:
  `ver1` - Version to Compare
  `ver2` - Version to Compare
Returns:

#### compare

    public static int compare(Version ver1,
                              Version ver2)

Compare Versions

Parameters:
  `ver1` - Version to Compare
  `ver2` - Version to Compare